Modify

Opened 7 months ago

Last modified 6 months ago

#21808 new defect

OSM Inspector / JOSM layer

Reported by: pochypat7@… Owned by: team
Priority: normal Milestone:
Component: Core imagery Version:
Keywords: template_report OSM Inspector Cc: framm, Klumbumbus

Description

What steps will reproduce the problem?

What is the expected result?

What happens instead?

Please provide any additional information below. Attach a screenshot if possible.

URL:https://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2022-01-02 21:24:43 +0100 (Sun, 02 Jan 2022)
Build-Date:2022-01-02 20:26:19
Revision:18360
Relative:URL: ^/trunk

Identification: JOSM/1.5 (18360 sk) Windows 10 64-Bit
OS Build number: Windows 10 Home 2009 (19042)
Memory Usage: 1377 MB / 3621 MB (244 MB allocated, but free)
Java version: 1.8.0_311-b11, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Look and Feel: com.sun.java.swing.plaf.windows.WindowsLookAndFeel
Screen: \Display0 1920×1080 (scaling 1.00×1.00)
Maximum Screen Size: 1920×1080
Best cursor sizes: 16×16→32×32, 32×32→32×32
System property file.encoding: Cp1250
System property sun.jnu.encoding: Cp1250
Locale info: sk_SK
Numbers with default locale: 1234567890 -> 1234567890
Dataset consistency test: No problems found

Plugins:
+ DirectDownload (35893)
+ DirectUpload (35893)
+ FastDraw (35893)
+ Mapillary (2.0.0-alpha.50)
+ apache-commons (35893)
+ apache-http (35893)
+ buildings_tools (35893)
+ ejml (35122)
+ freemapkapor (57)
+ geotools (35169)
+ jna (35893)
+ jts (35122)
+ reverter (35893)
+ utilsplugin2 (35893)

Tagging presets:
+ https://josm.openstreetmap.de/josmfile?page=Presets/SlovakiaHiking&zip=1

Map paint styles:
- https://josm.openstreetmap.de/josmfile?page=Styles/ConscriptionStreetnumber&zip=1
+ https://download.freemap.sk/JOSM/conscriptionnumbers_v2.mapcss

Validator rules:
+ https://josm.openstreetmap.de/josmfile?page=Rules/CzechRepublicAddressSystem&zip=1

Last errors/warnings:
- 94278.882 E: org.openstreetmap.josm.io.OsmApiException: ResponseCode=400, Error Header=<Požiadavka na stiahnutie údajov bola veľká a presiahla maximálnu veľkosť oblasti bbox (viac ako 0.25). Vyžiadajte si menšiu oblasť, alebo použite planet.osm>
- 94278.890 E: Chybná požiadavka - <html>OSM server 'api.openstreetmap.org' hlási zlý príkaz.<br><br>Oblasť, ktorú sa snažíte stiahnuť, je príliš veľká alebo vaša požiadavka bola príliš rozľahlá.<br>Požadujte menšiu oblasť alebo použite niektorý exportný súbor poskytovaný OSM komunitou.</html>
- 94278.900 E: org.openstreetmap.josm.io.OsmApiException: ResponseCode=400, Error Header=<Požiadavka na stiahnutie údajov bola veľká a presiahla maximálnu veľkosť oblasti bbox (viac ako 0.25). Vyžiadajte si menšiu oblasť, alebo použite planet.osm>
- 94278.904 E: Chybná požiadavka - <html>OSM server 'api.openstreetmap.org' hlási zlý príkaz.<br><br>Oblasť, ktorú sa snažíte stiahnuť, je príliš veľká alebo vaša požiadavka bola príliš rozľahlá.<br>Požadujte menšiu oblasť alebo použite niektorý exportný súbor poskytovaný OSM komunitou.</html>
- 179162.760 E: Could not parse WMS layer list. Incoming data:
- 179181.778 E: Could not parse WMS layer list. Incoming data:
- 179214.259 E: Could not parse WMS layer list. Incoming data:
- 179591.289 E: Could not parse WMS layer list. Incoming data:
- 180195.760 E: Could not parse WMS layer list. Incoming data:
- 180200.772 E: Could not parse WMS layer list. Incoming data:

jOSM/Preferences/Imagery/Osm Inspector

Hi, is it possible to fix this layer somehow? It lists a problem with WMS..

Attachments (0)

Change History (6)

comment:1 Changed 7 months ago by skyper

Component: CoreExternal imagery source
Keywords: OSM Inspector added

Yes, something is broken:

2022-01-27 22:40:23.794 INFO: GET https://tools.geofabrik.de/osmi/views/coastline/wxs?service=wms&request=getCapabilities -> HTTP/1.1 200 (322 ms; 2.71 kB)
2022-01-27 22:40:23.891 INFO: Skipping unsupported image format image/vnd.jpeg-png
2022-01-27 22:40:23.892 INFO: Skipping unsupported image format image/vnd.jpeg-png8
2022-01-27 22:40:23.893 INFO: Skipping unsupported image format application/x-pdf
2022-01-27 22:40:23.894 INFO: Skipping unsupported image format image/svg+xml
2022-01-27 22:40:23.895 INFO: Skipping unsupported image format application/vnd.google-earth.kml+xml
2022-01-27 22:40:23.895 INFO: Skipping unsupported image format application/vnd.google-earth.kmz
2022-01-27 22:40:23.895 INFO: Skipping unsupported image format application/x-protobuf
2022-01-27 22:40:23.896 INFO: Skipping unsupported image format application/json
2022-01-27 22:40:26.460 SEVERE: Could not parse WMS layer list. Incoming data:
<?xml version='1.0' encoding="UTF-8" standalone="no" ?>
<WMS_Capabilities version="1.3.0"  xmlns="http://www.opengis.net/wms"   xmlns:sld="http://www.opengis.net/sld"   xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"   xmlns:ms="http://mapserver.gis.umn.edu/mapserver"   xsi:schemaLocation="http://www.opengis.net/wms http://schemas.opengis.net/wms/1.3.0/capabilities_1_3_0.xsd  http://www.opengis.net/sld http://schemas.opengis.net/sld/1.1.0/sld_capabilities.xsd  http://mapserver.gis.umn.edu/mapserver /osmi/views/coastline/wxs?service=WMS&amp;version=1.3.0&amp;request=GetSchemaExtension">

<!-- MapServer version 7.4.3 OUTPUT=PNG OUTPUT=JPEG OUTPUT=KML SUPPORTS=PROJ SUPPORTS=AGG SUPPORTS=FREETYPE SUPPORTS=CAIRO SUPPORTS=SVG_SYMBOLS SUPPORTS=RSVG SUPPORTS=ICONV SUPPORTS=FRIBIDI SUPPORTS=WMS_SERVER SUPPORTS=WMS_CLIENT SUPPORTS=WFS_SERVER SUPPORTS=WFS_CLIENT SUPPORTS=WCS_SERVER SUPPORTS=SOS_SERVER SUPPORTS=FASTCGI SUPPORTS=THREADS SUPPORTS=GEOS SUPPORTS=PBF INPUT=JPEG INPUT=POSTGIS INPUT=OGR INPUT=GDAL INPUT=SHAPEFILE -->

<Service>
  <Name>WMS</Name>
  <Title>Geofabrik Tools: OSM Inspector (Coastline)</Title>
  <Abstract>OSM Inspector is a debugging tool for OpenStreetMap data.</Abstract>
  <KeywordList>
      <Keyword>Geofabrik</Keyword>
      <Keyword>OpenStreetMap</Keyword>
      <Keyword>OSM</Keyword>
      <Keyword>OSM Inspector</Keyword>
  </KeywordList>
  <OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="/osmi/views/coastline/wxs?"/>
  <ContactInformation>
    <ContactPersonPrimary>
      <ContactPerson>Jochen Topf</ContactPerson>
      <ContactOrganization>Geofabrik GmbH</ContactOrganization>
    </ContactPersonPrimary>
      <ContactVoiceTelephone>+49-721-1803560-0</ContactVoiceTelephone>
  <ContactElectronicMailAddress>info@geofabrik.de</ContactElectronicMailAddress>
  </ContactInformation>
  <MaxWidth>4096</MaxWidth>
  <MaxHeight>4096</MaxHeight>
</Service>

<Capability>
  <Request>
    <GetCapabilities>
      <Format>text/xml</Format>
      <DCPType>
        <HTTP>
          <Get><OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="/osmi/views/coastline/wxs?"/></Get>
          <Post><OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="/osmi/views/coastline/wxs?"/></Post>
        </HTTP>
      </DCPType>
    </GetCapabilities>
    <GetMap>
      <Format>image/png</Format>
      <Format>image/jpeg</Format>
      <Format>image/png; mode=8bit</Format>
      <Format>image/vnd.jpeg-png</Format>
      <Format>image/vnd.jpeg-png8</Format>
      <Format>application/x-pdf</Format>
      <Format>image/svg+xml</Format>
      <Format>image/tiff</Format>
      <Format>application/vnd.google-earth.kml+xml</Format>
      <Format>application/vnd.google-earth.kmz</Format>
      <Format>application/x-protobuf</Format>
      <Format>application/json</Format>
      <DCPType>
        <HTTP>
          <Get><OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="/osmi/views/coastline/wxs?"/></Get>
          <Post><OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="/osmi/views/coastline/wxs?"/></Post>
        </HTTP>
      </DCPType>
    </GetMap>
    <GetFeatureInfo>
      <Format>text/html</Format>
      <Format>application/vnd.ogc.gml</Format>
      <Format>text/plain</Format>
      <DCPType>
        <HTTP>
          <Get><OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="/osmi/views/coastline/wxs?"/></Get>
          <Post><OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="/osmi/views/coastline/wxs?"/></Post>
        </HTTP>
      </DCPType>
    </GetFeatureInfo>
    <sld:DescribeLayer>
      <Format>text/xml</Format>
      <DCPType>
        <HTTP>
          <Get><OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="/osmi/views/coastline/wxs?"/></Get>
          <Post><OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="/osmi/views/coastline/wxs?"/></Post>
        </HTTP>
      </DCPType>
    </sld:DescribeLayer>
    <sld:GetLegendGraphic>
      <Format>image/png</Format>
      <Format>image/jpeg</Format>
      <Format>image/png; mode=8bit</Format>
      <Format>image/vnd.jpeg-png</Format>
      <Format>image/vnd.jpeg-png8</Format>
      <DCPType>
        <HTTP>
          <Get><OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="/osmi/views/coastline/wxs?"/></Get>
          <Post><OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="/osmi/views/coastline/wxs?"/></Post>
        </HTTP>
      </DCPType>
    </sld:GetLegendGraphic>
    <ms:GetStyles>
      <Format>text/xml</Format>
      <DCPType>
        <HTTP>
          <Get><OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="/osmi/views/coastline/wxs?"/></Get>
          <Post><OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="/osmi/views/coastline/wxs?"/></Post>
        </HTTP>
      </DCPType>
    </ms:GetStyles>
  </Request>
  <Exception>
    <Format>XML</Format>
    <Format>INIMAGE</Format>
    <Format>BLANK</Format>
  </Exception>
  <sld:UserDefinedSymbolization SupportSLD="1" UserLayer="0" UserStyle="1" RemoteWFS="0" InlineFeature="0" RemoteWCS="0"/>
  <Layer queryable="1">
    <Name>geofabrik_tools_osminspector_coastline</Name>
    <Title>Geofabrik Tools: OSM Inspector (Coastline)</Title>
    <Abstract>OSM Inspector is a debugging tool for OpenStreetMap data.</Abstract>
    <KeywordList>
        <Keyword>Geofabrik</Keyword>
        <Keyword>OpenStreetMap</Keyword>
        <Keyword>OSM</Keyword>
        <Keyword>OSM Inspector</Keyword>
    </KeywordList>
    <CRS>EPSG:4326</CRS>
    <CRS>EPSG:900913</CRS>
    <CRS>EPSG:3857</CRS>
    <EX_GeographicBoundingBox>
        <westBoundLongitude>-90</westBoundLongitude>
        <eastBoundLongitude>90</eastBoundLongitude>
        <southBoundLatitude>-180</southBoundLatitude>
        <northBoundLatitude>180</northBoundLatitude>
    </EX_GeographicBoundingBox>
    <BoundingBox CRS="EPSG:4326"
                minx="-180" miny="-90" maxx="180" maxy="90" />
    <Attribution>
        <Title>Geofabrik GmbH/OpenStreetMap Contributors</Title>
        <OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="http://www.geofabrik.de/"/>
    </Attribution>
    <Layer queryable="1" opaque="0" cascaded="0">
        <Name>coastline</Name>
        <Title>Coastline</Title>
        <Abstract>All ways tagged with natural=coastline.</Abstract>
        <KeywordList>
            <Keyword>datasrc=OSM</Keyword>
            <Keyword>min=8</Keyword>
            <Keyword>max=22</Keyword>
        </KeywordList>
        <CRS>EPSG:4326</CRS>
        <CRS>EPSG:900913</CRS>
        <EX_GeographicBoundingBox>
            <westBoundLongitude>-180</westBoundLongitude>
            <eastBoundLongitude>180</eastBoundLongitude>
            <southBoundLatitude>-90</southBoundLatitude>
            <northBoundLatitude>90</northBoundLatitude>
        </EX_GeographicBoundingBox>
        <BoundingBox CRS="EPSG:4326"
                    minx="-90" miny="-180" maxx="90" maxy="180" />
        <MetadataURL type="TC211">
          <Format>text/xml</Format>
          <OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:type="simple" xlink:href="/osmi/views/coastline/wxs?request=GetMetadata&amp;layer=coastline"/>
        </MetadataURL>
        <Style>
          <Name>default</Name>
          <Title>default</Title>
          <LegendURL width="89" height="20">
             <Format>image/png</Format>
             <OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:type="simple" xlink:href="/osmi/views/coastline/wxs?version=1.3.0&amp;service=WMS&amp;request=GetLegendGraphic&amp;sld_version=1.1.0&amp;layer=coastline&amp;format=image/png&amp;STYLE=default"/>
          </LegendURL>
        </Style>
    </Layer>
    <Layer queryable="1" opaque="0" cascaded="0">
        <Name>questionable</Name>
        <Title>Questionable</Title>
        <Abstract>Shows some possible errors. Please see the documentation of this view for details.</Abstract>
        <KeywordList>
            <Keyword>datasrc=OSM</Keyword>
            <Keyword>min=2</Keyword>
            <Keyword>max=22</Keyword>
        </KeywordList>
        <CRS>EPSG:4326</CRS>
        <CRS>EPSG:900913</CRS>
        <EX_GeographicBoundingBox>
            <westBoundLongitude>-180</westBoundLongitude>
            <eastBoundLongitude>180</eastBoundLongitude>
            <southBoundLatitude>-90</southBoundLatitude>
            <northBoundLatitude>90</northBoundLatitude>
        </EX_GeographicBoundingBox>
        <BoundingBox CRS="EPSG:4326"
                    minx="-90" miny="-180" maxx="90" maxy="180" />
        <MetadataURL type="TC211">
          <Format>text/xml</Format>
          <OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:type="simple" xlink:href="/osmi/views/coastline/wxs?request=GetMetadata&amp;layer=questionable"/>
        </MetadataURL>
        <Style>
          <Name>default</Name>
          <Title>default</Title>
          <LegendURL width="88" height="20">
             <Format>image/png</Format>
             <OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:type="simple" xlink:href="/osmi/views/coastline/wxs?version=1.3.0&amp;service=WMS&amp;request=GetLegendGraphic&amp;sld_version=1.1.0&amp;layer=questionable&amp;format=image/png&amp;STYLE=default"/>
          </LegendURL>
        </Style>
    </Layer>
    <Layer queryable="1" opaque="0" cascaded="0">
        <Name>line_invalid</Name>
        <Title>Invalid geometry</Title>
        <Abstract>Geometry is invalid for some unspecified reason. Fix all other errors shown and this should go away.</Abstract>
        <KeywordList>
            <Keyword>datasrc=OSM</Keyword>
            <Keyword>min=2</Keyword>
            <Keyword>max=22</Keyword>
        </KeywordList>
        <CRS>EPSG:4326</CRS>
        <CRS>EPSG:900913</CRS>
        <EX_GeographicBoundingBox>
            <westBoundLongitude>-180</westBoundLongitude>
            <eastBoundLongitude>180</eastBoundLongitude>
            <southBoundLatitude>-90</southBoundLatitude>
            <northBoundLatitude>90</northBoundLatitude>
        </EX_GeographicBoundingBox>
        <BoundingBox CRS="EPSG:4326"
                    minx="-90" miny="-180" maxx="90" maxy="180" />
        <MetadataURL type="TC211">
          <Format>text/xml</Format>
          <OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:type="simple" xlink:href="/osmi/views/coastline/wxs?request=GetMetadata&amp;layer=line_invalid"/>
        </MetadataURL>
        <Style>
          <Name>default</Name>
          <Title>default</Title>
          <LegendURL width="74" height="20">
             <Format>image/png</Format>
             <OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:type="simple" xlink:href="/osmi/views/coastline/wxs?version=1.3.0&amp;service=WMS&amp;request=GetLegendGraphic&amp;sld_version=1.1.0&amp;layer=line_invalid&amp;format=image/png&amp;STYLE=default"/>
          </LegendURL>
        </Style>
    </Layer>
    <Layer queryable="1" opaque="0" cascaded="0">
        <Name>line_not_a_ring</Name>
        <Title>Not a ring</Title>
        <Abstract>Could not form the coastline into a complete closed ring. Either there aren&#39;t enough points or the coastline is not closed. This is never supposed to happen and must be fixed.</Abstract>
        <KeywordList>
            <Keyword>datasrc=OSM</Keyword>
            <Keyword>min=2</Keyword>
            <Keyword>max=22</Keyword>
        </KeywordList>
        <CRS>EPSG:4326</CRS>
        <CRS>EPSG:900913</CRS>
        <EX_GeographicBoundingBox>
            <westBoundLongitude>-180</westBoundLongitude>
            <eastBoundLongitude>180</eastBoundLongitude>
            <southBoundLatitude>-90</southBoundLatitude>
            <northBoundLatitude>90</northBoundLatitude>
        </EX_GeographicBoundingBox>
        <BoundingBox CRS="EPSG:4326"
                    minx="-90" miny="-180" maxx="90" maxy="180" />
        <MetadataURL type="TC211">
          <Format>text/xml</Format>
          <OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:type="simple" xlink:href="/osmi/views/coastline/wxs?request=GetMetadata&amp;layer=line_not_a_ring"/>
        </MetadataURL>
        <Style>
          <Name>default</Name>
          <Title>default</Title>
          <LegendURL width="93" height="23">
             <Format>image/png</Format>
             <OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:type="simple" xlink:href="/osmi/views/coastline/wxs?version=1.3.0&amp;service=WMS&amp;request=GetLegendGraphic&amp;sld_version=1.1.0&amp;layer=line_not_a_ring&amp;format=image/png&amp;STYLE=default"/>
          </LegendURL>
        </Style>
    </Layer>
    <Layer queryable="1" opaque="0" cascaded="0">
        <Name>line_overlap</Name>
        <Title>Overlapping lines</Title>
        <Abstract>Overlapping ways tagged with natural=coastline. This is not a problem in every case, but should be fixed if possible.</Abstract>
        <KeywordList>
            <Keyword>datasrc=OSM</Keyword>
            <Keyword>min=2</Keyword>
            <Keyword>max=22</Keyword>
        </KeywordList>
        <CRS>EPSG:4326</CRS>
        <CRS>EPSG:900913</CRS>
        <EX_GeographicBoundingBox>
            <westBoundLongitude>-180</westBoundLongitude>
            <eastBoundLongitude>180</eastBoundLongitude>
            <southBoundLatitude>-90</southBoundLatitude>
            <northBoundLatitude>90</northBoundLatitude>
        </EX_GeographicBoundingBox>
        <BoundingBox CRS="EPSG:4326"
                    minx="-90" miny="-180" maxx="90" maxy="180" />
        <MetadataURL type="TC211">
          <Format>text/xml</Format>
          <OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:type="simple" xlink:href="/osmi/views/coastline/wxs?request=GetMetadata&amp;layer=line_overlap"/>
        </MetadataURL>
        <Style>
          <Name>default</Name>
          <Title>default</Title>
          <LegendURL width="81" height="23">
             <Format>image/png</Format>
             <OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:type="simple" xlink:href="/osmi/views/coastline/wxs?version=1.3.0&amp;service=WMS&amp;request=GetLegendGraphic&amp;sld_version=1.1.0&amp;layer=line_overlap&amp;format=image/png&amp;STYLE=default"/>
          </LegendURL>
        </Style>
    </Layer>
    <Layer queryable="1" opaque="0" cascaded="0">
        <Name>line_direction</Name>
        <Title>Wrong direction</Title>
        <Abstract>Coastline ways must always have land on the left and water on the right side. Note that this is often an inherited error from a broken coastline somewhere else. Fix all other errors first and see if it goes away.</Abstract>
        <KeywordList>
            <Keyword>datasrc=OSM</Keyword>
            <Keyword>min=2</Keyword>
            <Keyword>max=22</Keyword>
        </KeywordList>
        <CRS>EPSG:4326</CRS>
        <CRS>EPSG:900913</CRS>
        <EX_GeographicBoundingBox>
            <westBoundLongitude>-180</westBoundLongitude>
            <eastBoundLongitude>180</eastBoundLongitude>
            <southBoundLatitude>-90</southBoundLatitude>
            <northBoundLatitude>90</northBoundLatitude>
        </EX_GeographicBoundingBox>
        <BoundingBox CRS="EPSG:4326"
                    minx="-90" miny="-180" maxx="90" maxy="180" />
        <MetadataURL type="TC211">
          <Format>text/xml</Format>
          <OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:type="simple" xlink:href="/osmi/views/coastline/wxs?request=GetMetadata&amp;layer=line_direction"/>
        </MetadataURL>
        <Style>
          <Name>default</Name>
          <Title>default</Title>
          <LegendURL width="88" height="20">
             <Format>image/png</Format>
             <OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:type="simple" xlink:href="/osmi/views/coastline/wxs?version=1.3.0&amp;service=WMS&amp;request=GetLegendGraphic&amp;sld_version=1.1.0&amp;layer=line_direction&amp;format=image/png&amp;STYLE=default"/>
          </LegendURL>
        </Style>
    </Layer>
    <Layer queryable="1" opaque="0" cascaded="0">
        <Name>unconnected</Name>
        <Title>Unconnected coastline</Title>
        <Abstract>Points where the coastlines ends. This is never supposed to happen and must be fixed.</Abstract>
        <KeywordList>
            <Keyword>datasrc=OSM</Keyword>
            <Keyword>min=2</Keyword>
            <Keyword>max=22</Keyword>
        </KeywordList>
        <CRS>EPSG:4326</CRS>
        <CRS>EPSG:900913</CRS>
        <EX_GeographicBoundingBox>
            <westBoundLongitude>-180</westBoundLongitude>
            <eastBoundLongitude>180</eastBoundLongitude>
            <southBoundLatitude>-90</southBoundLatitude>
            <northBoundLatitude>90</northBoundLatitude>
        </EX_GeographicBoundingBox>
        <BoundingBox CRS="EPSG:4326"
                    minx="-90" miny="-180" maxx="90" maxy="180" />
        <MetadataURL type="TC211">
          <Format>text/xml</Format>
          <OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:type="simple" xlink:href="/osmi/views/coastline/wxs?request=GetMetadata&amp;layer=unconnected"/>
        </MetadataURL>
        <Style>
          <Name>default</Name>
          <Title>default</Title>
          <LegendURL width="132" height="23">
             <Format>image/png</Format>
             <OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:type="simple" xlink:href="/osmi/views/coastline/wxs?version=1.3.0&amp;service=WMS&amp;request=GetLegendGraphic&amp;sld_version=1.1.0&amp;layer=unconnected&amp;format=image/png&amp;STYLE=default"/>
          </LegendURL>
        </Style>
    </Layer>
    <Layer queryable="1" opaque="0" cascaded="0">
        <Name>intersections</Name>
        <Title>Intersections</Title>
        <Abstract>Points where the coastline intersects itself. This is never supposed to happen and must be fixed.</Abstract>
        <KeywordList>
            <Keyword>datasrc=OSM</Keyword>
            <Keyword>min=2</Keyword>
            <Keyword>max=22</Keyword>
        </KeywordList>
        <CRS>EPSG:4326</CRS>
        <CRS>EPSG:900913</CRS>
        <EX_GeographicBoundingBox>
            <westBoundLongitude>-180</westBoundLongitude>
            <eastBoundLongitude>180</eastBoundLongitude>
            <southBoundLatitude>-90</southBoundLatitude>
            <northBoundLatitude>90</northBoundLatitude>
        </EX_GeographicBoundingBox>
        <BoundingBox CRS="EPSG:4326"
                    minx="-90" miny="-180" maxx="90" maxy="180" />
        <MetadataURL type="TC211">
          <Format>text/xml</Format>
          <OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:type="simple" xlink:href="/osmi/views/coastline/wxs?request=GetMetadata&amp;layer=intersections"/>
        </MetadataURL>
        <Style>
          <Name>default</Name>
          <Title>default</Title>
          <LegendURL width="111" height="20">
             <Format>image/png</Format>
             <OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:type="simple" xlink:href="/osmi/views/coastline/wxs?version=1.3.0&amp;service=WMS&amp;request=GetLegendGraphic&amp;sld_version=1.1.0&amp;layer=intersections&amp;format=image/png&amp;STYLE=default"/>
          </LegendURL>
        </Style>
    </Layer>
    <Layer queryable="1" opaque="0" cascaded="0">
        <Name>not_a_ring</Name>
        <Title>Not a ring</Title>
        <Abstract>Points in a closed way tagged natural=coastline with only 1 to 3 points which doesn&#39;t form a proper ring. This is never supposed to happen and must be fixed.</Abstract>
        <KeywordList>
            <Keyword>datasrc=OSM</Keyword>
            <Keyword>min=2</Keyword>
            <Keyword>max=22</Keyword>
        </KeywordList>
        <CRS>EPSG:4326</CRS>
        <CRS>EPSG:900913</CRS>
        <EX_GeographicBoundingBox>
            <westBoundLongitude>-180</westBoundLongitude>
            <eastBoundLongitude>180</eastBoundLongitude>
            <southBoundLatitude>-90</southBoundLatitude>
            <northBoundLatitude>90</northBoundLatitude>
        </EX_GeographicBoundingBox>
        <BoundingBox CRS="EPSG:4326"
                    minx="-90" miny="-180" maxx="90" maxy="180" />
        <MetadataURL type="TC211">
          <Format>text/xml</Format>
          <OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:type="simple" xlink:href="/osmi/views/coastline/wxs?request=GetMetadata&amp;layer=not_a_ring"/>
        </MetadataURL>
        <Style>
          <Name>default</Name>
          <Title>default</Title>
          <LegendURL width="93" height="23">
             <Format>image/png</Format>
             <OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:type="simple" xlink:href="/osmi/views/coastline/wxs?version=1.3.0&amp;service=WMS&amp;request=GetLegendGraphic&amp;sld_version=1.1.0&amp;layer=not_a_ring&amp;format=image/png&amp;STYLE=default"/>
          </LegendURL>
        </Style>
    </Layer>
    <Layer queryable="1" opaque="0" cascaded="0">
        <Name>double_node</Name>
        <Title>Double node</Title>
        <Abstract>Node appears more than once in coastline. This is never supposed to happen and must be fixed.</Abstract>
        <KeywordList>
            <Keyword>datasrc=OSM</Keyword>
            <Keyword>min=2</Keyword>
            <Keyword>max=22</Keyword>
        </KeywordList>
        <CRS>EPSG:4326</CRS>
        <CRS>EPSG:900913</CRS>
        <EX_GeographicBoundingBox>
            <westBoundLongitude>-180</westBoundLongitude>
            <eastBoundLongitude>180</eastBoundLongitude>
            <southBoundLatitude>-90</southBoundLatitude>
            <northBoundLatitude>90</northBoundLatitude>
        </EX_GeographicBoundingBox>
        <BoundingBox CRS="EPSG:4326"
                    minx="-90" miny="-180" maxx="90" maxy="180" />
        <MetadataURL type="TC211">
          <Format>text/xml</Format>
          <OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:type="simple" xlink:href="/osmi/views/coastline/wxs?request=GetMetadata&amp;layer=double_node"/>
        </MetadataURL>
        <Style>
          <Name>default</Name>
          <Title>default</Title>
          <LegendURL width="109" height="20">
             <Format>image/png</Format>
             <OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:type="simple" xlink:href="/osmi/views/coastline/wxs?version=1.3.0&amp;service=WMS&amp;request=GetLegendGraphic&amp;sld_version=1.1.0&amp;layer=double_node&amp;format=image/png&amp;STYLE=default"/>
          </LegendURL>
        </Style>
    </Layer>
    <Layer queryable="1" opaque="0" cascaded="0">
        <Name>tagged_node</Name>
        <Title>Tagged node</Title>
        <Abstract>Node tagged with natural=coastline. This is probably an error but it doesn&#39;t affect building of the coastlines.</Abstract>
        <KeywordList>
            <Keyword>datasrc=OSM</Keyword>
            <Keyword>min=2</Keyword>
            <Keyword>max=22</Keyword>
        </KeywordList>
        <CRS>EPSG:4326</CRS>
        <CRS>EPSG:900913</CRS>
        <EX_GeographicBoundingBox>
            <westBoundLongitude>-180</westBoundLongitude>
            <eastBoundLongitude>180</eastBoundLongitude>
            <southBoundLatitude>-90</southBoundLatitude>
            <northBoundLatitude>90</northBoundLatitude>
        </EX_GeographicBoundingBox>
        <BoundingBox CRS="EPSG:4326"
                    minx="-90" miny="-180" maxx="90" maxy="180" />
        <MetadataURL type="TC211">
          <Format>text/xml</Format>
          <OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:type="simple" xlink:href="/osmi/views/coastline/wxs?request=GetMetadata&amp;layer=tagged_node"/>
        </MetadataURL>
        <Style>
          <Name>default</Name>
          <Title>default</Title>
          <LegendURL width="112" height="23">
             <Format>image/png</Format>
             <OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:type="simple" xlink:href="/osmi/views/coastline/wxs?version=1.3.0&amp;service=WMS&amp;request=GetLegendGraphic&amp;sld_version=1.1.0&amp;layer=tagged_node&amp;format=image/png&amp;STYLE=default"/>
          </LegendURL>
        </Style>
    </Layer>
  </Layer>
</Capability>
</WMS_Capabilities>
: org.openstreetmap.josm.io.imagery.WMSImagery$WMSGetCapabilitiesException: javax.xml.stream.XMLStreamException: java.net.MalformedURLException: no protocol: /osmi/views/coastline/wxs?. Cause: javax.xml.stream.XMLStreamException: java.net.MalformedURLException: no protocol: /osmi/views/coastline/wxs?. Cause: java.net.MalformedURLException: no protocol: /osmi/views/coastline/wxs?

comment:2 Changed 6 months ago by anonymous

And will anyone be able to fix it? I know it's possible to view it online, but I'd like it in josm

comment:3 Changed 6 months ago by skyper

Cc: framm Klumbumbus added

It looks like the "normal" WMS service is working, and this is a JOSM problem with wms_endpoint or stream support.

working:

wms:https://tools.geofabrik.de/osmi/views/geometry/wxs?FORMAT=image/png&TRANSPARENT=TRUE&VERSION=1.1.1&SERVICE=WMS&REQUEST=GetMap&LAYERS=duplicate_node_in_way,single_node_in_way&STYLES=&SRS={proj}&WIDTH={width}&HEIGHT={height}&BBOX={bbox}

not working:

wms_endpoint[1,18]:https://tools.geofabrik.de/osmi/views/geometry/wxs?service=wms&request=getCapabilities

Maybe Frederik Ramm or Jochen Topf can point us to the problem.

comment:4 Changed 6 months ago by skyper

Component: External imagery sourceCore imagery

Looks like a problem of JOSM core, see also #21842.

comment:5 Changed 6 months ago by anonymous

thanks, maybe someone will sort it out in time

comment:6 Changed 6 months ago by skyper

Ticket #21857 has been marked as a duplicate of this ticket.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as new The owner will remain team.
as The resolution will be set.
to The owner will be changed from team to the specified user.
The owner will change to pochypat7@gmail.com
as duplicate The resolution will be set to duplicate.The specified ticket will be cross-referenced with this ticket
The owner will be changed from team to anonymous.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.